You are Here:
Linux Lite 4.2 Beta has been released. See the Release Announcements Section.




AMD proprietary drivers for 3.0

Author (Read 1944 times)

0 Members and 1 Guest are viewing this topic.

AMD proprietary drivers for 3.0
« on: September 11, 2016, 06:19:16 AM »
 

RobGoss

  • New to Forums
  • *
  • 34
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member
    • RobGoss

  • Linux Lite: 3.6 64bit

  • MEMORY: 3Gb

  • VIDEO CARD: R5220
I'm using one of my machines, Dell 531 and I installed 3.0 on it then I notice a shaded line across the screen this machine had a ADM graphic card but I changed it to a Radeon grachip card, R5 / 220, is there anyway to correct this and get rid of this shaded on the screen?

Thanks so much
Last Edit: September 11, 2016, 06:25:10 AM by RobGoss
 


Re: AMD proprietary drivers for 3.0
« Reply #1 on: September 11, 2016, 06:34:19 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6222
    Posts
  • Country: nz
  • Reputation: 565
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Moved to Hardware > Video Cards.
Download your free copy of Linux Lite today.

Jerry Bezencon
Linux Lite Creator

Learn to use your emotions to think, not think with your emotions.



 

Re: AMD proprietary drivers for 3.0
« Reply #2 on: September 11, 2016, 01:44:44 PM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1336
    Posts
  • Country: us
  • Reputation: 220
  • * Forum Moderator *

  • Linux Lite: 3.8 64bit

  • CPU: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz

  • MEMORY: 16Gb

  • VIDEO CARD: Intel Corporation 3rd Gen Core processor Graphics Controller
I addressed this in your other post concerning AMD graphics cards and Linux Lite 3.0.  Based on your posts, it doesn't seem like you're having a lot of fun right now with your AMD graphics card.  It doesn't have to be that way.

I've looked at the specs for that Dell Inspiron 531 machine, and that leads me to this.  If you were my neighbor, I would personally install Linux Lite 2.6 for you, and then upgrade you from there to Linux Lite 2.8.  I think you would be happier with the result.  And you would still have just over 2.5 years of support left.  That's also 2.5 years for AMD to decide if they want their proprietary drivers to be a part of Ubuntu again.

Want to thank me?  Click my [Thank] link.
 

Re: AMD proprietary drivers for 3.0
« Reply #3 on: September 11, 2016, 04:30:36 PM »
 

RobGoss

  • New to Forums
  • *
  • 34
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member
    • RobGoss

  • Linux Lite: 3.6 64bit

  • MEMORY: 3Gb

  • VIDEO CARD: R5220
I addressed this in your other post concerning AMD graphics cards and Linux Lite 3.0.  Based on your posts, it doesn't seem like you're having a lot of fun right now with your AMD graphics card.  It doesn't have to be that way.

I've looked at the specs for that Dell Inspiron 531 machine, and that leads me to this.  If you were my neighbor, I would personally install Linux Lite 2.6 for you, and then upgrade you from there to Linux Lite 2.8.  I think you would be happier with the result.  And you would still have just over 2.5 years of support left.  That's also 2.5 years for AMD to decide if they want their proprietary drivers to be a part of Ubuntu again.

Hello I remember your mentioning the ADM graphic card, and I also stated I changed it to another card the Radeon grachip card, R5 / 220, 

I did install 2.8 because 3.0 was not working as it should but I was wondering if there was anyway to get 3.0 to work on this machine with out that shaded line across the screen. I don't have a problem installing Linux lite just have the line issue with 3.0
Last Edit: September 11, 2016, 04:32:25 PM by RobGoss
 

Re: AMD proprietary drivers for 3.0
« Reply #4 on: September 11, 2016, 06:33:48 PM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1336
    Posts
  • Country: us
  • Reputation: 220
  • * Forum Moderator *

  • Linux Lite: 3.8 64bit

  • CPU: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz

  • MEMORY: 16Gb

  • VIDEO CARD: Intel Corporation 3rd Gen Core processor Graphics Controller
Radeon is the model name of a series of AMD/ATI graphics cards.

I don't know what shaded line you're referring to.
Last Edit: September 12, 2016, 09:05:33 AM by torreydale
Want to thank me?  Click my [Thank] link.
 

Re: AMD proprietary drivers for 3.0
« Reply #5 on: September 11, 2016, 06:56:49 PM »
 

RobGoss

  • New to Forums
  • *
  • 34
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member
    • RobGoss

  • Linux Lite: 3.6 64bit

  • MEMORY: 3Gb

  • VIDEO CARD: R5220
When I had 3.0 installed on this Dell it produced a faded line across the whole screen I know it has something to do with this distro 3.0 because with the 2.8 it does not happen.  I know you stated it was my graphic card because it was ADM
Last Edit: September 11, 2016, 07:03:17 PM by RobGoss
 

Re: AMD proprietary drivers for 3.0
« Reply #6 on: September 11, 2016, 09:16:17 PM »
 

firenice03

  • Rockin' the FREE World
  • Gold Level Poster
  • *******
  • 914
    Posts
  • Country: us
  • Reputation: 184
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: AMD Phenom II X2

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI RS880
I second toredale...
If you were my neighbor, I would personally install Linux Lite 2.6 for you, and then upgrade you from there to Linux Lite 2.8.  I think you would be happier with the result.  And you would still have just over 2.5 years of support left.  That's also 2.5 years for AMD to decide if they want their proprietary drivers to be a part of Ubuntu again.

Remember the issue you having; whether its a black line, screen tearing, a few other known issues isn't a fault of LL3.0 its any Ubuntu 16.04. AMD/ATI/Radeon support isn't there as it was in Ubuntu 14.04 (LL2.x series) the easiest and most stable resolution(IMHO) would be install 2.6 then 2.8 and see if support returns..
If you really want LL3.0 or any 16.04 you'll be chasing drivers... And truthfully the fault isn't Ubuntu, AMD is no longer maintaining the driver..

Some info to get you started.. I don't know your exact chip/model so the info is semi generic..
http://www.phoronix.com/scan.php?page=article&item=ubuntu-1604-amd&num=1
https://help.ubuntu.com/community/RadeonDriver
http://support.amd.com/en-us/kb-articles/Pages/AMD-Radeon-GPU-PRO-Linux-Beta-Driver%E2%80%93Release-Notes.aspx

Good luck and keep us posted
LL 3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express
LL 3.8 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL 3.8 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
RETIRED LL 2.8 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA
Running Linux Lite since LL2.2
 

Re: AMD proprietary drivers for 3.0
« Reply #7 on: September 14, 2016, 03:08:23 PM »
 

pavlepiramida

  • New to Forums
  • *
  • 13
    Posts
  • Country: cs
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.0 64bit

  • CPU: AMDSempron(tm) Processor LE-1150 2.0Ghz

  • MEMORY: 1Gb
I second toredale...
If you were my neighbor, I would personally install Linux Lite 2.6 for you, and then upgrade you from there to Linux Lite 2.8.  I think you would be happier with the result.  And you would still have just over 2.5 years of support left.  That's also 2.5 years for AMD to decide if they want their proprietary drivers to be a part of Ubuntu again.

Remember the issue you having; whether its a black line, screen tearing, a few other known issues isn't a fault of LL3.0 its any Ubuntu 16.04. AMD/ATI/Radeon support isn't there as it was in Ubuntu 14.04 (LL2.x series) the easiest and most stable resolution(IMHO) would be install 2.6 then 2.8 and see if support returns..
If you really want LL3.0 or any 16.04 you'll be chasing drivers... And truthfully the fault isn't Ubuntu, AMD is no longer maintaining the driver..

Some info to get you started.. I don't know your exact chip/model so the info is semi generic..
http://www.phoronix.com/scan.php?page=article&item=ubuntu-1604-amd&num=1
https://help.ubuntu.com/community/RadeonDriver
http://support.amd.com/en-us/kb-articles/Pages/AMD-Radeon-GPU-PRO-Linux-Beta-Driver%E2%80%93Release-Notes.aspx

Good luck and keep us posted

That tearing you mentioned is due to the drivers? (I have AMD 740G onboard)
Ive noticed it a few times when using apps like Viber,FB Chat...;render would brake,badly
(although system is using Galium0.4 drivers)
 

Re: AMD proprietary drivers for 3.0
« Reply #8 on: September 14, 2016, 10:05:10 PM »
 

technomancer

  • PayPal Supporter
  • Forum Regular
  • *****
  • 193
    Posts
  • Country: us
  • Reputation: 30
  • linux for life
    • silver arroyo jewelry

  • Linux Lite: 2.8 64bit

  • CPU: i7

  • MEMORY: 16Gb

  • VIDEO CARD: nvidia m860
Same here. i run 2.8 on my IBM with AMD graphics.

I second toredale...
If you were my neighbor, I would personally install Linux Lite 2.6 for you, and then upgrade you from there to Linux Lite 2.8.  I think you would be happier with the result.  And you would still have just over 2.5 years of support left.  That's also 2.5 years for AMD to decide if they want their proprietary drivers to be a part of Ubuntu again.

Remember the issue you having; whether its a black line, screen tearing, a few other known issues isn't a fault of LL3.0 its any Ubuntu 16.04. AMD/ATI/Radeon support isn't there as it was in Ubuntu 14.04 (LL2.x series) the easiest and most stable resolution(IMHO) would be install 2.6 then 2.8 and see if support returns..
If you really want LL3.0 or any 16.04 you'll be chasing drivers... And truthfully the fault isn't Ubuntu, AMD is no longer maintaining the driver..

Some info to get you started.. I don't know your exact chip/model so the info is semi generic..
http://www.phoronix.com/scan.php?page=article&item=ubuntu-1604-amd&num=1
https://help.ubuntu.com/community/RadeonDriver
http://support.amd.com/en-us/kb-articles/Pages/AMD-Radeon-GPU-PRO-Linux-Beta-Driver%E2%80%93Release-Notes.aspx

Good luck and keep us posted
Member www.eff.org
*Hardware hacks are my speciality.
"forum posts should be like a skirt- long enough to cover the subject material, but short enough to keep things interesting"
--I am using/Running Linuxlite 2.8, Debian8 server, Ubuntu 14, Win7,Win10, MX15, LinuxMint kde.
--Xerox field service engineer, printer repairs,network analyst.
 

Re: AMD proprietary drivers for 3.0
« Reply #9 on: October 16, 2017, 06:47:24 PM »
 

frank392

  • New to Forums
  • *
  • 9
    Posts
  • Country: bo
  • Reputation: 2
  • Linux Lite Member

  • CPU: AMD FX(tm)-6100 Six-Core Processor

  • MEMORY: 24Gb

  • VIDEO CARD: NVIDIA Corporation GK106 [GeForce GTX 650 Ti]
 


Tags:
 


Linux Lite 4.2 Beta has been released. See the Release Announcements Section.